Retrieve balances
It retrieve balances.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Headers
Country-Code
Marketplace's country code.
Query parameters
merchant_id
Unique reference by citi for merchant.
wallet_id
Virtual account
currency
Unique end-to-end transaction reference, should adhere to the pattern: ^[a-f0-9]8-[a-f0-9]4-4[a-f0-9]3-[89ab][a-f0-9]3-[a-f0-9]12$.
limit
The number of records to display per page.
page_no
You can input a page number and receive the data specific to a requested page. Page number is determined based on pagination metadata received in the response header of the initial request.
sort_by
This parameter contains one or more sort criteria.
sort_type
Sorting direction
- DESC - Descending order sorting
- ASC - Ascending order sorting
Response headers
apim_guid
pagination-metadata
Response
Success response for the delete file upload request
balance_information
Errors
400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
405
Method Not Allowed Error
500
Internal Server Error